Phone numbers
List numbers
GET
/
v1
/
numbers
List numbers
curl --request GET \
--url https://api-us.larynth.com/v1/numbers \
--cookie __Host-lx_session=import requests
url = "https://api-us.larynth.com/v1/numbers"
headers = {"cookie": "__Host-lx_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: '__Host-lx_session='}};
fetch('https://api-us.larynth.com/v1/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "__Host-lx_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/numbers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "__Host-lx_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-us.larynth.com/v1/numbers")
.header("cookie", "__Host-lx_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = '__Host-lx_session='
response = http.request(request)
puts response.read_body{
"data": [
{
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"e164": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monthly_price_micro": 123,
"route_type": "assistant",
"status": "ordering",
"updated_at": "2023-11-07T05:31:56Z",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branded": {
"status": "none"
},
"cnam": {
"status": "none",
"name": "<string>"
},
"forward_sources": [
{
"calls": 123,
"e164": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"forward_to_e164": "<string>",
"kind": "local",
"label": "<string>",
"next_renewal_at": "2023-11-07T05:31:56Z",
"purchased_at": "2023-11-07T05:31:56Z",
"region": "<string>",
"released_at": "2023-11-07T05:31:56Z",
"revision": 123,
"routing": {
"open": {
"mode": "assistant",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forward_e164": "<string>"
},
"after_hours": {
"mode": "same_agent",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forward_e164": "<string>"
},
"fallback_e164": "<string>",
"hours": {
"bands": [
{
"days": [
123
],
"end_minute": 720,
"start_minute": 719
}
],
"holidays": {
"dates": [
{
"closed": true,
"date": "2023-12-25",
"name": "<string>"
}
],
"calendar": "us_federal"
},
"timezone": "<string>"
},
"revision": 123
},
"schedule_summary": {
"bands": [
{
"days": [
123
],
"end_minute": 720,
"start_minute": 719
}
],
"key": "around_the_clock",
"timezone": "<string>"
},
"sip_trunk_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "larynth",
"spam_screening": true,
"usage": {
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft"
}
],
"can_call_out": true,
"optout_line": true
},
"verification": {
"status": "verifying",
"code": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
],
"next_cursor": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}Authorizations
sessionapiKey
Dashboard session cookie
Query Parameters
Page size
Required range:
1 <= x <= 200Opaque cursor from next_cursor of the previous page
Maximum string length:
512Available options:
ordering, verifying, active, suspended, releasing, released, failed Available options:
local, toll_free Only numbers that may (or may not) be a campaign caller ID
Available options:
true, false Numbers whose routing uses this agent in open or after hours
⌘I
List numbers
curl --request GET \
--url https://api-us.larynth.com/v1/numbers \
--cookie __Host-lx_session=import requests
url = "https://api-us.larynth.com/v1/numbers"
headers = {"cookie": "__Host-lx_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: '__Host-lx_session='}};
fetch('https://api-us.larynth.com/v1/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "__Host-lx_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/numbers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "__Host-lx_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-us.larynth.com/v1/numbers")
.header("cookie", "__Host-lx_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = '__Host-lx_session='
response = http.request(request)
puts response.read_body{
"data": [
{
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"e164": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monthly_price_micro": 123,
"route_type": "assistant",
"status": "ordering",
"updated_at": "2023-11-07T05:31:56Z",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branded": {
"status": "none"
},
"cnam": {
"status": "none",
"name": "<string>"
},
"forward_sources": [
{
"calls": 123,
"e164": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"forward_to_e164": "<string>",
"kind": "local",
"label": "<string>",
"next_renewal_at": "2023-11-07T05:31:56Z",
"purchased_at": "2023-11-07T05:31:56Z",
"region": "<string>",
"released_at": "2023-11-07T05:31:56Z",
"revision": 123,
"routing": {
"open": {
"mode": "assistant",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forward_e164": "<string>"
},
"after_hours": {
"mode": "same_agent",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"forward_e164": "<string>"
},
"fallback_e164": "<string>",
"hours": {
"bands": [
{
"days": [
123
],
"end_minute": 720,
"start_minute": 719
}
],
"holidays": {
"dates": [
{
"closed": true,
"date": "2023-12-25",
"name": "<string>"
}
],
"calendar": "us_federal"
},
"timezone": "<string>"
},
"revision": 123
},
"schedule_summary": {
"bands": [
{
"days": [
123
],
"end_minute": 720,
"start_minute": 719
}
],
"key": "around_the_clock",
"timezone": "<string>"
},
"sip_trunk_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "larynth",
"spam_screening": true,
"usage": {
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft"
}
],
"can_call_out": true,
"optout_line": true
},
"verification": {
"status": "verifying",
"code": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
],
"next_cursor": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}